Epson Expression Premium XP-600 Small-in-One® Printer

Selected FAQ

Q:
What are the system requirements for using the product with my computer?
A:
To use your product and its software, your computer system should meet or exceed the requirements listed below.

Windows System Requirements

To use your product and its software, your computer should use one of these Microsoft operating systems:

  • Windows 8
  • Windows 7
  • Windows Vista
  • Windows XP Professional x64 Edition
  • Windows XP SP3

Note: Visit Epson's support website at www.epson.com/support (U.S.) or www.epson.ca/support (Canada) for the latest in compatibility and drivers for your product.

Mac System Requirements

To use your product and its software, your Mac should use one of these operating systems:

  • Mac OS X 10.5.8
  • Mac OS X 10.6.x
  • Mac OS X 10.7.x
  • Mac OS X 10.8.x

Note: Visit Epson's support website at www.epson.com/support (U.S.) or www.epson.ca/support (Canada) for the latest in compatibility and drivers for your product.

Published: December 20, 2012

Thank you for your feedback.
Was this FAQ helpful?
Yes No  
Please tell us why this FAQ was not helpful.
Note: We are unable to reply to comments submitted here.


Viewed FAQs

Return to Main FAQs Page